Bug 91596 - "Go To Test" in wrong place in editor context menu
"Go To Test" in wrong place in editor context menu
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: JUnit
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Jan Lahoda
junit-issues@java
: I18N
: 87933 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-27 18:22 UTC by Jesse Glick
Modified: 2007-11-07 16:30 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2006-12-27 18:22:47 UTC
The context menu for a Java file has Go To > [3 items] and also goto > Test. The
latter should be merged into the former.

P2 because it is so noticeable; should not release in this condition. Also an
I18N violation, I think.

org.netbeans.modules.java.editor:
  Editors/text/x-java/Popup/generate-goto-popup
org.netbeans.modules.junit:
  Editors/text/x-java/Popup/goto/GoToOppositeAction.shadow
Comment 1 Marian Petras 2007-01-15 13:40:23 UTC
I assume something has changed in the editor. What should I do to make it
working again?
Comment 2 Jan Lahoda 2007-01-15 13:42:15 UTC
Wait. I have a patch for this.
Comment 3 Marian Petras 2007-01-15 16:24:22 UTC
*** Issue 87933 has been marked as a duplicate of this issue. ***
Comment 4 Jan Lahoda 2007-01-18 14:53:03 UTC
Fixed:
Checking in java/source/src/org/netbeans/modules/java/actions/Bundle.properties;
/cvs/java/source/src/org/netbeans/modules/java/actions/Bundle.properties,v  <--
 Bundle.properties
new revision: 1.8; previous revision: 1.7
done
Checking in java/source/src/org/netbeans/modules/java/actions/GoToTypeAction.java;
/cvs/java/source/src/org/netbeans/modules/java/actions/GoToTypeAction.java,v 
<--  GoToTypeAction.java
new revision: 1.11; previous revision: 1.10
done
RCS file:
/cvs/java/editor/src/org/netbeans/modules/java/editor/codegen/Bundle.properties,v
done
Checking in
java/editor/src/org/netbeans/modules/java/editor/codegen/Bundle.properties;
/cvs/java/editor/src/org/netbeans/modules/java/editor/codegen/Bundle.properties,v
 <--  Bundle.properties
initial revision: 1.1
done
Checking in
java/editor/src/org/netbeans/modules/java/editor/codegen/GenerateCodeAction.java;
/cvs/java/editor/src/org/netbeans/modules/java/editor/codegen/GenerateCodeAction.java,v
 <--  GenerateCodeAction.java
new revision: 1.3; previous revision: 1.2
done
Checking in java/source/src/org/netbeans/modules/java/source/resources/layer.xml;
/cvs/java/source/src/org/netbeans/modules/java/source/resources/layer.xml,v  <--
 layer.xml
new revision: 1.5; previous revision: 1.4
done
Checking in java/editor/src/org/netbeans/modules/editor/java/Bundle.properties;
/cvs/java/editor/src/org/netbeans/modules/editor/java/Bundle.properties,v  <-- 
Bundle.properties
new revision: 1.18; previous revision: 1.17
done
Checking in java/editor/src/org/netbeans/modules/editor/java/JavaKit.java;
/cvs/java/editor/src/org/netbeans/modules/editor/java/JavaKit.java,v  <-- 
JavaKit.java
new revision: 1.32; previous revision: 1.31
done
Checking in java/editor/src/org/netbeans/modules/java/editor/Bundle.properties;
/cvs/java/editor/src/org/netbeans/modules/java/editor/Bundle.properties,v  <-- 
Bundle.properties
new revision: 1.6; previous revision: 1.5
done
Checking in java/editor/src/org/netbeans/modules/java/editor/resources/layer.xml;
/cvs/java/editor/src/org/netbeans/modules/java/editor/resources/layer.xml,v  <--
 layer.xml
new revision: 1.18; previous revision: 1.17
done
Checking in junit/src/org/netbeans/modules/junit/resources/layer.xml;
/cvs/junit/src/org/netbeans/modules/junit/resources/layer.xml,v  <--  layer.xml
new revision: 1.48; previous revision: 1.47
done
Comment 5 Jiri Vagner 2007-11-07 13:18:49 UTC
Now there is a new problem - Missing "Go to Test/Tested class" in editor's popup menu.
Comment 6 Marian Petras 2007-11-07 16:26:30 UTC
I mark this bug as fixed again.

The issue with missing popup menu item is tracked as separate issue #120356.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo